curl --request GET \
--url https://gateway.prem.io/developers/api_keys/requests/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://gateway.prem.io/developers/api_keys/requests/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://gateway.prem.io/developers/api_keys/requests/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"data": {
"id": 12345,
"is_developer": 1,
"organization_id": "org_0197c0ec-a197-719f-84a9-99270a79b42a",
"user_id": null,
"api_key_id": "api_key_0197c0ec-a197-719f-84a9-99270a79b42a",
"support_id": null,
"ip": "127.0.0.1",
"auth": "Bearer sk_live_MDE5N2MwZWMt...",
"path": "/products",
"method": "POST",
"user_agent": "MyApp/1.0.0 (https://myapp.com)",
"ms": 234.5678,
"response_code": "201",
"response_body": {
"data": {
"id": "prod_0197c0ec-a197-719f-84a9-99270a79b42a",
"name": "Test Product",
"price": 19.99,
"currency": "USD",
"created_at": "2025-07-01 12:34:56"
}
},
"request_body": "{\"name\": \"Test Product\", \"price\": 19.99, \"currency\": \"USD\"}",
"request_headers": "Content-Type: application/json\nAuthorization: Bearer sk_live_...\nUser-Agent: MyApp/1.0.0\nContent-Length: 67",
"memory_peak": 2048.5,
"created_at": "2025-07-01 12:34:56"
},
"error": null,
"log": null,
"validator": null,
"support_id": null,
"message": "Resource created successfully",
"env": "development"
}{
"error": "<string>",
"message": null,
"log": "<string>",
"support_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {},
"validator": {}
}{
"status": 401,
"error": "<string>",
"message": null,
"log": "<string>",
"support_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {},
"validator": {}
}{
"status": 403,
"error": "<string>",
"message": null,
"log": "<string>",
"support_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {},
"validator": {}
}{
"status": 404,
"error": "<string>",
"message": null,
"log": "<string>",
"support_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {},
"validator": {}
}Get API key request
Get details of a specific API key request/usage log entry by ID
Authorizations
Send your access token as header Authorization: Bearer {accessToken}
Your API key that starts with sk_live or sk_test. You can create yours at go.prem.io/api-keys.
Path Parameters
API Key Request ID
Response
Successful API key request view response
Status code of the response
200, 201, 202 Response data containing the requested object
Show child attributes
Show child attributes
{
"id": 12345,
"is_developer": 1,
"organization_id": "org_0197c0ec-a197-719f-84a9-99270a79b42a",
"user_id": null,
"api_key_id": "api_key_0197c0ec-a197-719f-84a9-99270a79b42a",
"support_id": null,
"ip": "127.0.0.1",
"auth": "Bearer sk_live_...",
"path": "/products",
"method": "POST",
"user_agent": "MyApp/1.0.0",
"ms": 234.5678,
"response_code": "201",
"response_body": {
"data": { "id": "prod_123", "name": "Test Product" }
},
"request_body": "{\"name\": \"Test Product\", \"price\": 19.99}",
"request_headers": "Content-Type: application/json\nAuthorization: Bearer sk_live_...",
"memory_peak": 2048,
"created_at": "2025-07-01 12:34:56"
}
Message of the response, human readable
"Resource created successfully"
API environment
development, production Error message of the response, human readable
"Invalid email address"
Useful informaiton, not always present, to debug the response
{ "request_id": "req_1234567890" }
"Some pertinent log message"
Validator response object, each key is the field name and value is the error message
{
"email": "Invalid email address",
"password": "Password is required"
}
Support ID linked to the response, used to identify it when talking with our team
"support_uuidv7-something-else"

